com.pixelmed.test

## Class TestGeometryOfSlice

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - com.pixelmed.test.TestGeometryOfSlice

All Implemented Interfaces:
  junit.framework.Test

    public class TestGeometryOfSlice
    extends junit.framework.TestCase

### Constructor Summary

Constructors
Constructor and Description
`TestGeometryOfSlice(java.lang.String name)`

### Method Summary

Methods
`protected void` `check3D2DConversion(GeometryOfSlice geometry, double column, double row, double expectX, double expectY, double expectZ)`
`protected boolean` `epsilonEquals(double value1, double value2, double epsilon)`
`protected void` `setUp()`
`static junit.framework.Test` `suite()`
`protected void` `tearDown()`
`void` `TestGeometryOfSlice_3D2DConversions1()`
`void` `TestGeometryOfSlice_3D2DConversions2()`
`void` `TestGeometryOfSlice_3D2DConversions3()`

### Methods inherited from class junit.framework.TestCase

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, countTestCases, createResult, fail, fail, failNotEquals, failNotSame, failSame, format, getName, run, run, runBare, runTest, setName, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TestGeometryOfSlice

    public TestGeometryOfSlice(java.lang.String name)

### Method Detail

#### suite

    public static junit.framework.Test suite()

#### setUp

    protected void setUp()

Overrides:
  `setUp` in class `junit.framework.TestCase`

#### tearDown

    protected void tearDown()

Overrides:
  `tearDown` in class `junit.framework.TestCase`

#### epsilonEquals

    protected boolean epsilonEquals(double value1,
                        double value2,
                        double epsilon)

#### check3D2DConversion

    protected void check3D2DConversion(GeometryOfSlice geometry,
                           double column,
                           double row,
                           double expectX,
                           double expectY,
                           double expectZ)

#### TestGeometryOfSlice_3D2DConversions1

    public void TestGeometryOfSlice_3D2DConversions1()
                                              throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### TestGeometryOfSlice_3D2DConversions2

    public void TestGeometryOfSlice_3D2DConversions2()
                                              throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### TestGeometryOfSlice_3D2DConversions3

    public void TestGeometryOfSlice_3D2DConversions3()
                                              throws java.lang.Exception

Throws:
  `java.lang.Exception`